function [d,m,order]=getMeshDims(q,me,varargin)
  p = inputParser;
  p.addParamValue('type','simplex', @(x) ismember(lower(x),{'simplex','orthotope'}));
  p.addParamValue('max_order',10);
  p.addParamValue('m',[]);
  p.addParamValue('order',[]);
  p.parse(varargin{:});R=p.Results;
  [d,nq]=size(q);[nelts,nme]=size(me);
  if ~isempty(R.m)
    Nh=fc_hypermesh.getNbOfNodesByElt(1:R.max_order,R.m,'type',R.type);
    [i,order]=find(Nh==nelts);m=R.m;
    assert( length(order)==1, 'Unable to find order')
    return
  end
  if ~isempty(R.order)
    Nh=fc_hypermesh.getNbOfNodesByElt(R.order,0:d,'type',R.type);
    [m,j]=find(Nh==nelts);
    assert( length(m)==1, 'Unable to find m dimension')
    m=m-1;order=R.order;
    return
  end
  Lm=0:d;
  Nh=fc_hypermesh.getNbOfNodesByElt(1:R.max_order,0:d,'type',R.type)
  [m,order]=find(Nh==nelts);
  order=order';
  m=(m-1)';
end
